Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.modelmbean
Class ModelMBeanOperationInfo

    java.lang.Object
      |
      +--javax.management.MBeanFeatureInfo
            |
            +--javax.management.MBeanOperationInfo
                  |
                  +--javax.management.modelmbean.ModelMBeanOperationInfo

All Implemented Interfaces:
  java.lang.Cloneable, DescriptorAccess, java.io.Serializable

public class ModelMBeanOperationInfo
extends MBeanOperationInfo
implements DescriptorAccess

The ModelMBeanOperationInfo object describes a management operation of the ModelMBean. It is a subclass of MBeanOperationInfo with the addition of an associated Descriptor and an implementation of the DescriptorAccess interface.

     The fields in the descriptor are defined, but not limited to, the following:
     name           : operation name
     descriptorType : must be "operation"
     class          : class where method is defined (fully qualified)
     role           : getter, setter, operation, constructor
     targetObject   : object on which to execute this method
     targetType     : type of object reference for targetObject:
                      ObjectReference|EJBHandle|IOR|RMIReference
     lastReturnedValue : cached value for operation
     currencyTimeLimit : how long cached value is valid
     lastReturnedTimeStamp : when cached value was set
     visibility            : 1-4 where 1: always visible 4: rarely visible
     presentationString :  xml formatted string to describe how to present operation

The default descriptor will have name, descriptorType, and role fields set.

Author:
  Young Yang
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.management.MBeanOperationInfo
`ACTION, ACTION_INFO, INFO, UNKNOWN`

Fields inherited from class javax.management.MBeanFeatureInfo
`description, name`

Constructor Summary
`ModelMBeanOperationInfo(ModelMBeanOperationInfo operInfo)` Constructs a new ModelMBeanOperationInfo object from this ModelMBeanOperation Object.
`ModelMBeanOperationInfo(java.lang.String description, java.lang.reflect.Method method)` Constructs a ModelMBeanOperationInfo object with a default descriptor.
`ModelMBeanOperationInfo(java.lang.String description, java.lang.reflect.Method method, Descriptor descriptor)` Constructs a ModelMBeanOperationInfo object.
`ModelMBeanOperationInfo(java.lang.String name, java.lang.String description, MBeanParameterInfo[] signature, java.lang.String type, int impact)` Constructs a ModelMBeanOperationInfo object with a default descriptor.
`ModelMBeanOperationInfo(java.lang.String name, java.lang.String description, MBeanParameterInfo[] signature, java.lang.String type, int impact, Descriptor descriptor)` Constructs a ModelMBeanOperationInfo object.

Method Summary
`java.lang.Object` | `clone()` Creates and returns a new ModelMBeanOperationInfo which is a duplicate of this ModelMBeanOperationInfo.
`Descriptor` | `getDescriptor()` Returns a copy of the associated Descriptor of the ModelMBeanOperationInfo
`void` | `setDescriptor(Descriptor descriptor)` Sets associated Descriptor (full replace) for the ModelMBeanOperationInfo If the new Descriptor is null, then the associated Descriptor reverts to a default descriptor.
`java.lang.String` | `toString()` Returns a string containing the entire contents of the ModelMBeanOperationInfo in human readable form.

Methods inherited from class javax.management.MBeanOperationInfo
`getImpact, getReturnType, getSignature`

Methods inherited from class javax.management.MBeanFeatureInfo
`getDescription, getName`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ModelMBeanOperationInfo

    public ModelMBeanOperationInfo(java.lang.String description,
                                   java.lang.reflect.Method method)

  Constructs a ModelMBeanOperationInfo object with a default descriptor.

Parameters:
  `method` - The java.lang.reflect.Method object describing the MBean operation.
  `description` - A human readable description of the operation.

### ModelMBeanOperationInfo

    public ModelMBeanOperationInfo(java.lang.String description,
                                   java.lang.reflect.Method method,
                                   Descriptor descriptor)

  Constructs a ModelMBeanOperationInfo object.

Parameters:
  `method` - The java.lang.reflect.Method object describing the MBean operation.
  `description` - A human readable description of the operation.
  `descriptor` - An instance of Descriptor containing the appropriate metadata for this instance of the MBeanNotificationInfo.If it is null or invalid then a default desriptor will be created.

### ModelMBeanOperationInfo

    public ModelMBeanOperationInfo(java.lang.String name,
                                   java.lang.String description,
                                   MBeanParameterInfo[] signature,
                                   java.lang.String type,
                                   int impact)

  Constructs a ModelMBeanOperationInfo object with a default descriptor.

Parameters:
  `name` - The name of the method.
  `description` - A human readable description of the operation.
  `signature` - MBeanParameterInfo objects describing the parameters(arguments) of the method.
  `type` - The type of the method's return value.
  `impact` - The impact of the method, one of INFO, ACTION, ACTION_INFO, UNKNOWN.

### ModelMBeanOperationInfo

    public ModelMBeanOperationInfo(java.lang.String name,
                                   java.lang.String description,
                                   MBeanParameterInfo[] signature,
                                   java.lang.String type,
                                   int impact,
                                   Descriptor descriptor)

  Constructs a ModelMBeanOperationInfo object.

Parameters:
  `name` - The name of the method.
  `description` - A human readable description of the operation.
  `signature` - MBeanParameterInfo objects describing the parameters(arguments) of the method.
  `type` - The type of the method's return value.
  `impact` - The impact of the method, one of INFO, ACTION, ACTION_INFO, UNKNOWN.
  `descriptor` - An instance of Descriptor containing the appropriate metadata for this instance of the MBeanOperationInfo.If it is null or invalid then a default desriptor will be created.

### ModelMBeanOperationInfo

    public ModelMBeanOperationInfo(ModelMBeanOperationInfo operInfo)

  Constructs a new ModelMBeanOperationInfo object from this ModelMBeanOperation Object.

Parameters:
  `operInfo` - the ModelMBeanOperationInfo to be duplicated

Method Detail

### clone

    public java.lang.Object clone()

  Creates and returns a new ModelMBeanOperationInfo which is a duplicate of this ModelMBeanOperationInfo.

  Overrides:
    `clone` in class `MBeanOperationInfo`

### getDescriptor

    public Descriptor getDescriptor()

  Returns a copy of the associated Descriptor of the ModelMBeanOperationInfo

  Specified by:
    `getDescriptor` in interface `DescriptorAccess`
  Returns:
    Descriptor associated with the ModelMBeanOperationInfo object.

### setDescriptor

    public void setDescriptor(Descriptor descriptor)

  Sets associated Descriptor (full replace) for the ModelMBeanOperationInfo If the new Descriptor is null, then the associated Descriptor reverts to a default descriptor. The Descriptor is validated before it is assigned. If the new Descriptor is invalid, then an IllegalArgumentException is thrown.

  Specified by:
    `setDescriptor` in interface `DescriptorAccess`
  Parameters:
    `descriptor` - - replaces the Descriptor associated with the ModelMBeanOperation.

### toString

    public java.lang.String toString()

  Returns a string containing the entire contents of the ModelMBeanOperationInfo in human readable form.

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD